Package Details: pyside2-git r6554.6eb583d7-1

Git Clone URL: https://aur.archlinux.org/pyside2-git.git (read-only, click to copy)
Package Base: pyside2-git
Description: Enables the use of Qt5 APIs in Python applications (git version)
Upstream URL: https://www.qt.io
Licenses: LGPL
Conflicts: pyside2, python-pyside2
Provides: pyside2, python-pyside2
Submitter: drhooves
Maintainer: None
Last Packager: dviktor
Votes: 2
Popularity: 0.000000
First Submitted: 2017-03-03 08:15
Last Updated: 2019-11-26 20:02

Dependencies (32)

Required by (54)

Sources (1)

Latest Comments

« First ‹ Previous 1 2 3 4 5 Next › Last »

mriyah commented on 2017-10-31 17:36

Build failure.
Got this:
==> Starting prepare()...
can't find file to patch at input line 5
Perhaps you used the wrong -p or --strip option?
The text leading up to this was:
--------------------------
|diff --git a/doc/CMakeLists.txt b/doc/CMakeLists.txt
|index c5d0169d..a4f246b3 100644
|--- a/doc/CMakeLists.txt
|+++ b/doc/CMakeLists.txt
--------------------------
File to patch:

xantares commented on 2017-08-25 20:41

They moved to:
https://code.qt.io/pyside/pyside-setup.git, (/sources/pyside2)
see http://code.qt.io/cgit/
please update

angri commented on 2017-07-28 13:54

Fails to build for me with the same error.

webhive commented on 2017-06-27 18:19

I've got same issue

Keeping temporary file: /tmp/pyside2_global_J18850.hpp
shiboken: Error running ApiExtractor.
Command line: --generator-set=shiboken --enable-parent-ctor-heuristic --enable-pyside-extensions --enable-return-value-heuristic --use-isnull-as-nb_nonzero /tmp/yaourt-tmp-roman/aur-python2-pyside2-git/src/pyside2-git/build-py2/PySide2/pyside2_global.h --include-paths=/tmp/yaourt-tmp-roman/aur-python2-pyside2-git/src/pyside2-git/PySide2:/usr/include/qt/ --typesystem-paths=/tmp/yaourt-tmp-roman/aur-python2-pyside2-git/src/pyside2-git/PySide2:/tmp/yaourt-tmp-roman/aur-python2-pyside2-git/src/pyside2-git/PySide2/QtCore --output-directory=/tmp/yaourt-tmp-roman/aur-python2-pyside2-git/src/pyside2-git/build-py2/PySide2/QtCore --license-file=/tmp/yaourt-tmp-roman/aur-python2-pyside2-git/src/pyside2-git/PySide2/QtCore/../licensecomment.txt /tmp/yaourt-tmp-roman/aur-python2-pyside2-git/src/pyside2-git/build-py2/PySide2/QtCore/typesystem_core.xml --api-version=5.9 --drop-type-entries=
make[2]: *** [PySide2/QtCore/CMakeFiles/QtCore.dir/build.make:66: PySide2/QtCore/PySide2/QtCore/qabstractanimation_wrapper.cpp] Ошибка 1

lyra commented on 2017-06-20 19:13

I've got an error. Here is log: https://pastebin.com/B0mhUwMQ

Keeping temporary file: /tmp/pyside2_global_J27614.hpp
shiboken: Error running ApiExtractor.
Command line: --generator-set=shiboken --enable-parent-ctor-heuristic --enable-pyside-extensions --enable-return-value-heuristic --use-isnull-as-nb_nonzero /tmp/yaourt-tmp-lyra/aur-python2-pyside2-git/src/pyside2-git/build-py2/PySide2/pyside2_global.h --include-paths=/tmp/yaourt-tmp-lyra/aur-python2-pyside2-git/src/pyside2-git/PySide2:/usr/include/qt/ --typesystem-paths=/tmp/yaourt-tmp-lyra/aur-python2-pyside2-git/src/pyside2-git/PySide2:/tmp/yaourt-tmp-lyra/aur-python2-pyside2-git/src/pyside2-git/PySide2/QtCore --output-directory=/tmp/yaourt-tmp-lyra/aur-python2-pyside2-git/src/pyside2-git/build-py2/PySide2/QtCore --license-file=/tmp/yaourt-tmp-lyra/aur-python2-pyside2-git/src/pyside2-git/PySide2/QtCore/../licensecomment.txt /tmp/yaourt-tmp-lyra/aur-python2-pyside2-git/src/pyside2-git/build-py2/PySide2/QtCore/typesystem_core.xml --api-version=5.8 --drop-type-entries=
make[2]: *** [PySide2/QtCore/CMakeFiles/QtCore.dir/build.make:66: PySide2/QtCore/PySide2/QtCore/qabstractanimation_wrapper.cpp] Error 1
make[1]: *** [CMakeFiles/Makefile2:355: PySide2/QtCore/CMakeFiles/QtCore.dir/all] Error 2
make: *** [Makefile:130: all] Error 2

drhooves commented on 2017-06-18 12:54

Could you post the error message from earlier in the log too please?

s218 commented on 2017-06-18 12:15

make[2]: *** [PySide2/QtCore/CMakeFiles/QtCore.dir/build.make:66: PySide2/QtCore/PySide2/QtCore/qabstractanimation_wrapper.cpp] Ошибка 1
make[1]: *** [CMakeFiles/Makefile2:355: PySide2/QtCore/CMakeFiles/QtCore.dir/all] Ошибка 2
make: *** [Makefile:130: all] Ошибка 2
==> ОШИБКА: Произошел сбой в build().
Прерывание...
==> ОШИБКА: Makepkg не смог собрать .
==> Перезапустить сборку python2-pyside2-git ? да/Нет [y/N]

sheinz commented on 2017-05-31 13:58

If you have errors similar as I described for shiboken2 https://aur.archlinux.org/packages/python-shiboken2-git/
The solution also applies here. (Use 5.6 branch)

Kunda commented on 2017-03-14 19:43

My bad. I didn't realize that the qt5.6 had been recently bumped. I went ahead and built it and it took forever... for some reason it failed but I think it was a hardware issue on my side. So I need to find a window to recompile it and see if it builds. Thanks for your help so far!

drhooves commented on 2017-03-12 14:29

Are you certain that you rebuilt qt5.6? The installed version should be 5.6.2-3. If thats the case please pm me the output of `pacman -Ql qt5.6` and the complete build log of pyside2.